%global momorel 1

Summary: Administrative utilities for the XFS filesystem.
Name: xfsdump
Version: 2.2.33
Release: %{momorel}m
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xfsprogs >= 2.7.11, dmapi >= 2.2.3, attr >= 2.4.28
Source0: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch0: xfsdump-2.2.4-shlibexe.patch
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: Applications/Archiving
BuildPreReq: xfsprogs-devel >= 2.7.11, dmapi-devel >= 2.2.3, attr-devel >= 2.4.28
BuildPrereq: libtool, e2fsprogs-devel, ncurses

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
%patch0 -p0 -b .shlib~
perl -p -i -e 's,--mode=(link|compile),--mode=\1 --tag=CC,' include/buildmacros

%build
touch .census
%configure
%make

%install
DIST_ROOT="%{buildroot}"
DIST_INSTALL=`pwd`/install.manifest
export DIST_ROOT DIST_INSTALL
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/*
%{_mandir}/*/*
%{_bindir}/*
%{_sbindir}/*

%changelog
* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.33-1m)
- update to 2.2.33

* Wed Dec 28 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.30-1m)
- no NoSource

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.2.30-1m)
- update to 2.2.30

* Wed Oct 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.25-1m)
  update to 2.2.25

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.21-2m)
- modify BuildRequire

* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.21-1m)
- update to 2.2.21

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.14-2m)
- revised spec for rpm 4.2.

* Tue Nov 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.14-1m)
- update to 2.2.14

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.6-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Feb 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.6-1m)
  update to 2.2.6

* Tue Nov 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.2.4-1m)
- update to 2.2.4 ([Momonga-devel.ja:00833] thanks, nosanosa)
- add BuildPrereq: libtool, e2fsprogs-devel, ncurses
- add execute permissions to shlibs
- delete NoSource

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.5-1m)
  update to 2.1.5

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.3-1m)
- rebuild against xfsprogs-2.0.6 and dmapi-2.0.8

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.1-2k)
- update to 2.0.1
- rebuild against xfsprogs-2.0.3, attr-2.0.7, and dmapi-2.0.2

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.0-4k)
- rebuild against xfsprogs-2.0.1 and attr-2.0.5

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.0-2k)
- update to 2.0.0

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.7-2k)
- update to 1.1.7

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.3-2k)
- First Kondarization
